### Callable

- wrapHash(hashFn: (value: Uint8Array) => Promise<Uint8Array>): (value: InfiniteHash | Uint8Array) => InfiniteHash

- #### Parameters

  - ##### hashFn: (value: Uint8Array) => Promise<Uint8Array>

    - - (value: Uint8Array): Promise<Uint8Array>

      - #### Parameters

        - ##### value: Uint8Array

        #### Returns Promise<Uint8Array>

  #### Returns (value: InfiniteHash | Uint8Array) => InfiniteHash

  - - (value: InfiniteHash | Uint8Array): InfiniteHash

    - #### Parameters

      - ##### value: InfiniteHash | Uint8Array

      #### Returns InfiniteHash

## Index

### References

- InfiniteHash

## References

### InfiniteHash

Re-exports InfiniteHash